package net.knarcraft.ffmpegconverter.converter.module.hardwarecoding;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for enabling hardware decoding
 */
public class HardwareDecodeModule implements ConverterModule {

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addInputFileOption("-hwaccel", "auto");
    }

}
